For the complete documentation index, see llms.txt. This page is also available as Markdown.

searchLoanApp

Perform various search operations on loan applications.

Symitar eDocs References: Coming soon.

Operations

searchLoanAppPagedSelectFields

post

Search loan applications with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 457

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "ID='0020'",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFields": false,
    "LoanAppFields": {
      "Id": true,
      "Type": true,
      "ApplicationDate": true,
      "ApprovalDate": true,
      "LoanAmount": true,
      "LoanType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanApp": [
    {
      "Id": "0020",
      "Type": 0,
      "ApplicationDate": "2006-07-10",
      "ApprovalDate": "2006-07-10",
      "LoanAmount": "24444.00",
      "LoanType": 4,
      "RecordChangeDate": "2008-06-23"
    }
  ],
  "Token": null,
  "MessageId": "searchLoanAppPagedSelectFields"
}

searchLoanAppEscrowPagedSelectFields

post

Search loan application escrows with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppEscrowPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppEscrowPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 488

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowFields": false,
    "LoanAppEscrowFields": {
      "Locator": true,
      "EscrowType": true,
      "PaymentPortion": true,
      "PolicyAmount": true,
      "PolicyExpireDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppEscrow": [],
  "Token": null,
  "MessageId": "searchLoanAppEscrowPagedSelectFields"
}

searchLoanAppEscrowAnalysisPagedSelectFields

post

Search loan application escrow analyses with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringOptional

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppEscrowAnalysisPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppEscrowAnalysisPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 512

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppEscrowAnalysisFields": false,
    "LoanAppEscrowAnalysisFields": {
      "Locator": true,
      "AnalysisThruDate": true,
      "CurrentBalance": true,
      "CurrentPayment": true,
      "NextAnalysisDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppEscrowAnalysis": [],
  "Token": null,
  "MessageId": "searchLoanAppEscrowAnalysisPagedSelectFields"
}

searchLoanAppFinancePagedSelectFields

post

Search loan application finances with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppFinancePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppFinancePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 504

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFinanceFields": false,
    "LoanAppFinanceFields": {
      "Locator": true,
      "ItemType": true,
      "Description": true,
      "AssetValue": true,
      "LiabilityBalance": true,
      "MonthlyIncome": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppFinance": [],
  "Token": null,
  "MessageId": "searchLoanAppFinancePagedSelectFields"
}

searchLoanAppLnSegmentPagedSelectFields

post

Search loan application loan segments with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppLnSegmentPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppLnSegmentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 466

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "ID='NONE'",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppLnSegmentFields": false,
    "LoanAppLnSegmentFields": {
      "Id": true,
      "Description": true,
      "Type": true,
      "Balance": true,
      "Payment": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppLnSegment": [],
  "Token": null,
  "MessageId": "searchLoanAppLnSegmentPagedSelectFields"
}

searchLoanAppNotePagedSelectFields

post

Search loan application notes with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppNotePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppNotePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 451

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "LOCATOR=0",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppNoteFields": false,
    "LoanAppNoteFields": {
      "Locator": true,
      "Code": true,
      "EnterDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppNote": [],
  "Token": null,
  "MessageId": "searchLoanAppNotePagedSelectFields"
}

searchLoanAppPersonPagedSelectFields

post

Search loan application persons with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppPersonPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPersonPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 472

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "LOCATOR=6",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 3,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppPersonFields": false,
    "LoanAppPersonFields": {
      "Locator": true,
      "Type": true,
      "First": true,
      "Middle": true,
      "Last": true,
      "BirthDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppPerson": [
    {
      "Locator": 6,
      "Type": 0,
      "First": "SETH",
      "Middle": "A",
      "Last": "ZAMORA",
      "BirthDate": "1930-05-26",
      "RecordChangeDate": "2008-06-21"
    }
  ],
  "Token": null,
  "MessageId": "searchLoanAppPersonPagedSelectFields"
}

searchLoanAppSchedulePagedSelectFields

post

Search loan application schedules with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppSchedulePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppSchedulePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 476

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "LoanAppId": "0020",
  "Query": "ID='NONE'",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppScheduleFields": false,
    "LoanAppScheduleFields": {
      "Id": true,
      "BeginningDate": true,
      "Expiration": true,
      "Payment": true,
      "PaymentType": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "LoanAppSchedule": [],
  "Token": null,
  "MessageId": "searchLoanAppSchedulePagedSelectFields"
}

searchLoanAppPledgePagedSelectFields

post

Search loan application pledges with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppPledgePagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppPledgePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 815

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllLoanAppPledgeFields": true,
    "LoanAppPledgeFields": {
      "AccountNumber": true,
      "Amount": true,
      "CollateralCode": true,
      "CollateralDescription": true,
      "CollateralNumber": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "Id": true,
      "Locator": true,
      "Percent": true,
      "Priority": true,
      "RecordChangeDate": true,
      "Type": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "LoanAppPledge": [
    {
      "AccountNumber": "text",
      "Amount": 1,
      "CollateralCode": 1,
      "CollateralDescription": "text",
      "CollateralNumber": "text",
      "EffectiveDate": "2026-01-01",
      "ExpirationDate": "2026-01-01",
      "Id": "text",
      "Locator": 1,
      "Percent": 1,
      "Priority": 1,
      "RecordChangeDate": "2026-01-01",
      "Type": 1
    }
  ],
  "Token": "text"
}

searchLoanAppTrackingPagedSelectFields

post

Search loan application trackings with selected fields in a paginated manner.

Authorizations
Body
AccountNumberstringRequired

The member account number.

LoanAppIdstringRequired

The unique identifier for the loan application.

Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchLoanAppTrackingPagedSelectFields
POST /nexum/627/persistent/account/searchLoanAppTrackingPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 2972

{
  "Credentials": {
    "AccountNumberCredentials": {},
    "HomeBankingCredentials": {},
    "CardCredentials": {},
    "MICRCredentials": {},
    "LookupCredentials": {},
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "AccountNumber": "text",
  "LoanAppId": "text",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllLoanAppTrackingFields": true,
    "LoanAppTrackingFields": {
      "CreationDate": true,
      "CreationTime": true,
      "ExpireDate": true,
      "FmLastDate": true,
      "Id": true,
      "IdType": true,
      "Locator": true,
      "RecordChangeDate": true,
      "TrackingCode": true,
      "TrackingDescription": true,
      "Type": true,
      "UserAmount1": true,
      "UserAmount10": true,
      "UserAmount11": true,
      "UserAmount12": true,
      "UserAmount13": true,
      "UserAmount14": true,
      "UserAmount15": true,
      "UserAmount16": true,
      "UserAmount17": true,
      "UserAmount18": true,
      "UserAmount19": true,
      "UserAmount2": true,
      "UserAmount20": true,
      "UserAmount3": true,
      "UserAmount4": true,
      "UserAmount5": true,
      "UserAmount6": true,
      "UserAmount7": true,
      "UserAmount8": true,
      "UserAmount9": true,
      "UserChar1": true,
      "UserChar10": true,
      "UserChar11": true,
      "UserChar12": true,
      "UserChar13": true,
      "UserChar14": true,
      "UserChar15": true,
      "UserChar16": true,
      "UserChar17": true,
      "UserChar18": true,
      "UserChar19": true,
      "UserChar2": true,
      "UserChar20": true,
      "UserChar3": true,
      "UserChar4": true,
      "UserChar5": true,
      "UserChar6": true,
      "UserChar7": true,
      "UserChar8": true,
      "UserChar9": true,
      "UserCode1": true,
      "UserCode10": true,
      "UserCode11": true,
      "UserCode12": true,
      "UserCode13": true,
      "UserCode14": true,
      "UserCode15": true,
      "UserCode16": true,
      "UserCode17": true,
      "UserCode18": true,
      "UserCode19": true,
      "UserCode2": true,
      "UserCode20": true,
      "UserCode3": true,
      "UserCode4": true,
      "UserCode5": true,
      "UserCode6": true,
      "UserCode7": true,
      "UserCode8": true,
      "UserCode9": true,
      "UserDate1": true,
      "UserDate10": true,
      "UserDate11": true,
      "UserDate12": true,
      "UserDate13": true,
      "UserDate14": true,
      "UserDate15": true,
      "UserDate16": true,
      "UserDate17": true,
      "UserDate18": true,
      "UserDate19": true,
      "UserDate2": true,
      "UserDate20": true,
      "UserDate3": true,
      "UserDate4": true,
      "UserDate5": true,
      "UserDate6": true,
      "UserDate7": true,
      "UserDate8": true,
      "UserDate9": true,
      "UserId": true,
      "UserNumber1": true,
      "UserNumber10": true,
      "UserNumber11": true,
      "UserNumber12": true,
      "UserNumber13": true,
      "UserNumber14": true,
      "UserNumber15": true,
      "UserNumber16": true,
      "UserNumber17": true,
      "UserNumber18": true,
      "UserNumber19": true,
      "UserNumber2": true,
      "UserNumber20": true,
      "UserNumber3": true,
      "UserNumber4": true,
      "UserNumber5": true,
      "UserNumber6": true,
      "UserNumber7": true,
      "UserNumber8": true,
      "UserNumber9": true,
      "UserRate1": true,
      "UserRate10": true,
      "UserRate11": true,
      "UserRate12": true,
      "UserRate13": true,
      "UserRate14": true,
      "UserRate15": true,
      "UserRate16": true,
      "UserRate17": true,
      "UserRate18": true,
      "UserRate19": true,
      "UserRate2": true,
      "UserRate20": true,
      "UserRate3": true,
      "UserRate4": true,
      "UserRate5": true,
      "UserRate6": true,
      "UserRate7": true,
      "UserRate8": true,
      "UserRate9": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "LoanAppTracking": [
    {
      "CreationDate": "2026-01-01",
      "CreationTime": 1,
      "ExpireDate": "2026-01-01",
      "FmLastDate": "2026-01-01",
      "Id": "text",
      "IdType": 1,
      "Locator": 1,
      "RecordChangeDate": "2026-01-01",
      "TrackingCode": 1,
      "TrackingDescription": "text",
      "Type": 1,
      "UserAmount1": 1,
      "UserAmount10": 1,
      "UserAmount11": 1,
      "UserAmount12": 1,
      "UserAmount13": 1,
      "UserAmount14": 1,
      "UserAmount15": 1,
      "UserAmount16": 1,
      "UserAmount17": 1,
      "UserAmount18": 1,
      "UserAmount19": 1,
      "UserAmount2": 1,
      "UserAmount20": 1,
      "UserAmount3": 1,
      "UserAmount4": 1,
      "UserAmount5": 1,
      "UserAmount6": 1,
      "UserAmount7": 1,
      "UserAmount8": 1,
      "UserAmount9": 1,
      "UserChar1": "text",
      "UserChar10": "text",
      "UserChar11": "text",
      "UserChar12": "text",
      "UserChar13": "text",
      "UserChar14": "text",
      "UserChar15": "text",
      "UserChar16": "text",
      "UserChar17": "text",
      "UserChar18": "text",
      "UserChar19": "text",
      "UserChar2": "text",
      "UserChar20": "text",
      "UserChar3": "text",
      "UserChar4": "text",
      "UserChar5": "text",
      "UserChar6": "text",
      "UserChar7": "text",
      "UserChar8": "text",
      "UserChar9": "text",
      "UserCode1": 1,
      "UserCode10": 1,
      "UserCode11": 1,
      "UserCode12": 1,
      "UserCode13": 1,
      "UserCode14": 1,
      "UserCode15": 1,
      "UserCode16": 1,
      "UserCode17": 1,
      "UserCode18": 1,
      "UserCode19": 1,
      "UserCode2": 1,
      "UserCode20": 1,
      "UserCode3": 1,
      "UserCode4": 1,
      "UserCode5": 1,
      "UserCode6": 1,
      "UserCode7": 1,
      "UserCode8": 1,
      "UserCode9": 1,
      "UserDate1": "2026-01-01",
      "UserDate10": "2026-01-01",
      "UserDate11": "2026-01-01",
      "UserDate12": "2026-01-01",
      "UserDate13": "2026-01-01",
      "UserDate14": "2026-01-01",
      "UserDate15": "2026-01-01",
      "UserDate16": "2026-01-01",
      "UserDate17": "2026-01-01",
      "UserDate18": "2026-01-01",
      "UserDate19": "2026-01-01",
      "UserDate2": "2026-01-01",
      "UserDate20": "2026-01-01",
      "UserDate3": "2026-01-01",
      "UserDate4": "2026-01-01",
      "UserDate5": "2026-01-01",
      "UserDate6": "2026-01-01",
      "UserDate7": "2026-01-01",
      "UserDate8": "2026-01-01",
      "UserDate9": "2026-01-01",
      "UserId": 1,
      "UserNumber1": 1,
      "UserNumber10": 1,
      "UserNumber11": 1,
      "UserNumber12": 1,
      "UserNumber13": 1,
      "UserNumber14": 1,
      "UserNumber15": 1,
      "UserNumber16": 1,
      "UserNumber17": 1,
      "UserNumber18": 1,
      "UserNumber19": 1,
      "UserNumber2": 1,
      "UserNumber20": 1,
      "UserNumber3": 1,
      "UserNumber4": 1,
      "UserNumber5": 1,
      "UserNumber6": 1,
      "UserNumber7": 1,
      "UserNumber8": 1,
      "UserNumber9": 1,
      "UserRate1": 1,
      "UserRate10": 1,
      "UserRate11": 1,
      "UserRate12": 1,
      "UserRate13": 1,
      "UserRate14": 1,
      "UserRate15": 1,
      "UserRate16": 1,
      "UserRate17": 1,
      "UserRate18": 1,
      "UserRate19": 1,
      "UserRate2": 1,
      "UserRate20": 1,
      "UserRate3": 1,
      "UserRate4": 1,
      "UserRate5": 1,
      "UserRate6": 1,
      "UserRate7": 1,
      "UserRate8": 1,
      "UserRate9": 1
    }
  ],
  "Token": "text"
}

Last updated

Was this helpful?